SDL_syshaptic.h File Reference
`#include "../SDL_internal.h"`
`#include "SDL_haptic.h"`
Include dependency graph for SDL_syshaptic.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | haptic_effect
struct | SDL_Haptic

## Functions

int | SDL_SYS_HapticInit (void)
int | SDL_SYS_NumHaptics ()
const char * | SDL_SYS_HapticName (int index)
int | SDL_SYS_HapticOpen (SDL_Haptic *haptic)
int | SDL_SYS_HapticMouse (void)
int | SDL_SYS_JoystickIsHaptic (SDL_Joystick *joystick)
int | SDL_SYS_HapticOpenFromJoystick (SDL_Haptic *haptic, SDL_Joystick *joystick)
int | SDL_SYS_JoystickSameHaptic (SDL_Haptic *haptic, SDL_Joystick *joystick)
void | SDL_SYS_HapticClose (SDL_Haptic *haptic)
void | SDL_SYS_HapticQuit (void)
int | SDL_SYS_HapticNewEffect (SDL_Haptic *haptic, struct haptic_effect *effect, SDL_HapticEffect *base)
int | SDL_SYS_HapticUpdateEffect (SDL_Haptic *haptic, struct haptic_effect *effect, SDL_HapticEffect *data)
int | SDL_SYS_HapticRunEffect (SDL_Haptic *haptic, struct haptic_effect *effect, Uint32 iterations)
int | SDL_SYS_HapticStopEffect (SDL_Haptic *haptic, struct haptic_effect *effect)
void | SDL_SYS_HapticDestroyEffect (SDL_Haptic *haptic, struct haptic_effect *effect)
int | SDL_SYS_HapticGetEffectStatus (SDL_Haptic *haptic, struct haptic_effect *effect)
int | SDL_SYS_HapticSetGain (SDL_Haptic *haptic, int gain)
int | SDL_SYS_HapticSetAutocenter (SDL_Haptic *haptic, int autocenter)
int | SDL_SYS_HapticPause (SDL_Haptic *haptic)
int | SDL_SYS_HapticUnpause (SDL_Haptic *haptic)
int | SDL_SYS_HapticStopAll (SDL_Haptic *haptic)

## Function Documentation

void SDL_SYS_HapticClose | ( | SDL_Haptic * | haptic | ) |

Referenced by SDL_HapticClose().

void SDL_SYS_HapticDestroyEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Referenced by SDL_HapticDestroyEffect().

int SDL_SYS_HapticGetEffectStatus | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Referenced by SDL_HapticGetEffectStatus().

int SDL_SYS_HapticInit | ( | void |  | ) |

Referenced by SDL_HapticInit().

int SDL_SYS_HapticMouse | ( | void |  | ) |

Referenced by SDL_HapticOpenFromMouse(), and SDL_MouseIsHaptic().

const char* SDL_SYS_HapticName | ( | int | index | ) |

Referenced by SDL_HapticName().

int SDL_SYS_HapticNewEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | SDL_HapticEffect * | base
| ) |  |

Referenced by SDL_HapticNewEffect().

int SDL_SYS_HapticOpen | ( | SDL_Haptic * | haptic | ) |

Referenced by SDL_HapticOpen().

int SDL_SYS_HapticOpenFromJoystick | ( | SDL_Haptic * | haptic,
|  | SDL_Joystick * | joystick
| ) |  |

Referenced by SDL_HapticOpenFromJoystick().

int SDL_SYS_HapticPause | ( | SDL_Haptic * | haptic | ) |

Referenced by SDL_HapticPause().

void SDL_SYS_HapticQuit | ( | void |  | ) |

Referenced by SDL_HapticQuit().

int SDL_SYS_HapticRunEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | Uint32 | iterations
| ) |  |

Referenced by SDL_HapticRunEffect().

int SDL_SYS_HapticSetAutocenter | ( | SDL_Haptic * | haptic,
|  | int | autocenter
| ) |  |

Referenced by SDL_HapticSetAutocenter().

int SDL_SYS_HapticSetGain | ( | SDL_Haptic * | haptic,
|  | int | gain
| ) |  |

Referenced by SDL_HapticSetGain().

int SDL_SYS_HapticStopAll | ( | SDL_Haptic * | haptic | ) |

Referenced by SDL_HapticStopAll().

int SDL_SYS_HapticStopEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Referenced by SDL_HapticStopEffect().

int SDL_SYS_HapticUnpause | ( | SDL_Haptic * | haptic | ) |

Referenced by SDL_HapticUnpause().

int SDL_SYS_HapticUpdateEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | SDL_HapticEffect * | data
| ) |  |

Referenced by SDL_HapticUpdateEffect().

int SDL_SYS_JoystickIsHaptic | ( | SDL_Joystick * | joystick | ) |

Referenced by SDL_HapticOpenFromJoystick(), and SDL_JoystickIsHaptic().

int SDL_SYS_JoystickSameHaptic | ( | SDL_Haptic * | haptic,
|  | SDL_Joystick * | joystick
| ) |  |

Referenced by SDL_HapticOpenFromJoystick().

int SDL_SYS_NumHaptics | ( |  | ) |

Referenced by SDL_NumHaptics().